DROP TABLE IMRD_F.EN_MRD316_H2_GRUPO CASCADE CONSTRAINTS;
--criando a tabela com a PK ID
CREATE TABLE IMRD_F.EN_MRD316_H2_GRUPO
(
    FSG_3994            VARCHAR2(2048 BYTE),
    STA_CD_NM_FSC_0320  VARCHAR2(2048 BYTE),
    FSG_NOTE_4965       VARCHAR2(2048 BYTE),
    FSG_TI_4972         VARCHAR2(2048 BYTE),
    FSG_DT_E_C_RC_5183  VARCHAR2(2048 BYTE),
    ID                  NUMBER(19)                NOT NULL,
    PRIMARY KEY(ID)
)
TABLESPACE IMRD_FTBL
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

--criando os sinonimos publicos
CREATE OR REPLACE PUBLIC SYNONYM EN_MRD316_H2_GRUPO FOR IMRD_F.EN_MRD316_H2_GRUPO;

--dropando a sequence
DROP SEQUENCE IMRD_F.SQ_EN_TABL316;
--criando a sequence
CREATE SEQUENCE IMRD_F.SQ_EN_TABL316
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;

--criando indices
CREATE UNIQUE  INDEX IDX_EN_MRD316_H2_GRUPO_FSG ON IMRD_F.EN_MRD316_H2_GRUPO(FSG_3994) TABLESPACE IMRD_FTBL;
